<?php namespace EscapeWork\Manager\Extensions\User;

use Illuminate\Auth\Guard as AuthGuard;

class Guard extends AuthGuard
{

    /**
     * Get a unique identifier for the auth session value.
     *
     * @return string
     */
    public function getName()
    {
        return 'login_' . md5('EscapeWork\Manager\Models\User');
    }

    /**
     * Get the name of the cookie used to store the "recaller".
     *
     * @return string
     */
    public function getRecallerName()
    {
        return 'remember_' . md5('EscapeWork\Manager\Models\User');
    }
}