<?php namespace EscapeWork\Manager\Repositories\User;

use EscapeWork\Manager\Repositories\BaseEloquentRepository;
use EscapeWork\Manager\Models\User;

class EloquentUserRepository extends BaseEloquentRepository implements UserRepository
{

    public function __construct(User $user)
    {
        $this->model = $user;
    }

    public function getByEmail($email)
    {
        return $this->model->where('email', '=', $email)->first();
    }
}
