<?php namespace EscapeWork\Manager\Repositories\UserReminder;

use EscapeWork\Manager\Repositories\BaseEloquentRepository;
use EscapeWork\Manager\Models\UserReminder;

class EloquentUserReminderRepository extends BaseEloquentRepository implements UserReminderRepository
{

    public function __construct(UserReminder $userReminder)
    {
        $this->model = $userReminder;
    }

    public function getByToken($token)
    {
        return $this->model->where('token', '=', $token)->orderBy('created_at', 'desc')->first();
    }
}
