<?php namespace EscapeWork\Manager\Seeds;

use Seeder;
use DateTime;
use EscapeWork\Manager\Models\Role;

class RoleTableSeeder extends Seeder
{

    public function run()
    {
        if (! Role::find(1)) {
            Role::create(array(
                'id'              => 1,
                'title'           => 'Administrador',
                'all_permissions' => true,
                'created_at'      => new DateTime,
                'updated_at'      => new DateTime,
            ));
        }
    }
}