<?php namespace EscapeWork\Manager\Repositories\Page;

use Mockery as m;

class EloquentPageRepositoryTest extends \PHPUnit_Framework_TestCase
{

    public function setUp()
    {
        $this->model      = m::mock('EscapeWork\Manager\Models\Page');
        $this->repository = new EloquentPageRepository($this->model);
    }

    public function test_all()
    {
        $this->model->shouldReceive('with')->andReturn($this->model);
        $this->model->shouldReceive('get')->once()->withNoArgs()->andReturn([]);

        $this->assertTrue(is_array($this->repository->all()));
    }
}
