# Arquivo de configuração do Compass para o EscapeWork (a partir de versão 1.3, que contém o sass)
# Versões anteriores vão precisar criar e cofigurar os diretórios do sass e css
# Author: Luís Dalmolin <luis@escape.ppg.br>

# Require any additional compass plugins here.

# Set this to the root of your project when deployed:
http_path                  = ""
css_dir                    = "public/assets/css"
sass_dir                   = "public/assets/css/scss"
images_dir                 = "public/assets/img/"
http_generated_images_path = "/packages/escapework/manager/assets/img/"
javascripts_dir            = "public/assets/js"

# You can select your preferred output style here (can be overridden via the command line):
output_style = :compressed

# To enable relative paths to assets via compass helper functions. Uncomment:
# relative_assets = true

# To disable debugging comments that display the original location of your selectors. Uncomment:
line_comments = false


# If you prefer the indented syntax, you might want to regenerate this
# project again passing --syntax sass, or you can uncomment this:
# preferred_syntax = :sass
# and then run:
# sass-convert -R --from scss --to sass sass scss && rm -rf sass && mv scss sass
