(function() {
  var $boxPermissions;

  $boxPermissions = $('#box-permissions');

  $('[data-check-all]').on('click', function(e) {
    var $this, page;
    $this = $(this);
    page = $this.data('check-all');
    if ($this.prop('checked') === true) {
      return $('[data-page="' + page + '"]').prop('checked', true);
    } else {
      return $('[data-page="' + page + '"]').prop('checked', false);
    }
  });

  $('input[name="all_permissions"]').on('click', function(e) {
    var $this;
    $this = $(this);
    console.log($this.val());
    if ($this.val() === '1') {
      return $boxPermissions.hide();
    } else {
      return $boxPermissions.show();
    }
  });

  $('.js-controls-permissions').each(function(e) {
    var $this, checked, total;
    $this = $(this);
    total = $this.find('[data-page]');
    checked = $this.find('[data-page]:checked');
    if (total.size() === checked.size()) {
      return $this.find('[data-check-all]').prop('checked', true);
    }
  });

  $('#form-role').on('submit', function(e) {
    return $('.js-btn-submit').button('loading');
  });

}).call(this);
