<?php namespace EscapeWork\Manager\Repositories\Page;

use EscapeWork\Manager\Repositories\BaseEloquentRepository;
use EscapeWork\Manager\Models\Page;

class EloquentPageRepository extends BaseEloquentRepository implements PageRepository
{

    public function __construct(Page $page)
    {
        $this->model = $page;
    }

    public function all()
    {
        return $this->model->with('actions')->get();
    }
}
