@extends(Config::get('manager::views.layouts.master'))

@section('content')
    <ul class="breadcrumb">
        <li><a href="{{ route('manager.home') }}">Home</a> <span class="divider">/</span></li>
        <li><a href="{{ route('manager.logs.index') }}">Logs</a> <span class="divider">/</span></li>
        <li class="active">{{ $log }}</li>
    </ul><!-- .breadcrumb -->

    <div class="page-header">
        <div class="pull-left">
            <h3>{{ $log }}</h3>
        </div><!-- .pull-left -->

        <div class="pull-right">
            <a href="{{ route('manager.logs.index') }}" class="btn"><i class="icon-arrow-left"></i> voltar</a>
            <a href="{{ route('manager.logs.destroy', urlencode(str_replace(storage_path() . '/logs/', '', $log))) }}" class="btn btn-danger" data-delete><i class="icon-trash icon-white"></i> excluir</a>
        </div><!-- .pull-right -->

        <div class="clearfix"></div>
    </div><!-- .page=header -->

    {{ Msg::getAll() }}

<pre>{{ $content }}</pre>
@stop
